<?php	// twiggi		Header Configuration File ?>
<?php

	$config["fromdomain"]		= "";			// This is where mail will be sent from
	$config["basedir"]		= "/EdunixMail";	// The path of the URL to your twiggi installation
	$config["imgdir"]		= "images";	// The path to graphics files, relative to basedir
	$config["index"]		= "index.php";		// This is what you name the index file
								// Note: index.php can be aliased to the value of $config["basedir"] 
								// in apache's httpd.conf, which cleans up the URL area.

 	$config["auth"]			= "forms";		// Authorization Type (basic|forms)
	$config["auth_timeout"]		= 3600;			// Set the auth cookie timeout value, in seconds. Set to 0 for session length cookies 
	$config["auth_logout_redirect"] = $config["basedir"] . "/" . $config["index"] ;         // Complete URL to redirect browsers to after they have been logged out
 	$config["auth_provider"]	= "imap-new";		// Authorization Method (imap-new|imap|sqltable|mysql|pgsql|ldap|sqlimap|sqlopen|nntp)

	$config["language"] 		= "english"; 		// language file to use (english is the default).
	                                                        // language files are in /lib/strings
                                                                // language options are in /features/prefs/modules/global.inc.php

	$config["spellcheck"]		= "/usr/bin/ispell"; // Command, including full path and flags, to run a spellcheck (via pipe)
	$config["dict"]["english"]	= "-a -d english";
	$config["dict"]["czech"]	= "-a -d czech";
	#$config["dict"]["german"]	= "-a -Tlatin1 -d german";
	#$config["dict"]["italian"]	= "-a -d italian";
	#$config["dict"]["french"]	= "-a -d francais";

	$config["session_handler"]	= "sqltable";		// Session handler (get|get2|sqltable|php4session)
	$config["session_expiry"]	= 7200;			// How long session records are retained (in seconds)
	$config["login_handler"]	= "sqltable";		// Login handler (cookie|sqltable|base64cookie|php4session|session|securecookie.php4session|securecookie.sqltable)

	$config["announcements"]	= "basic";		// Announcements type (basic|advanced)

 	$config["timeformat"]["12"]	= "h:i a";		// Format to display time in (12 hour foramt)
 	$config["timeformat"]["24"]	= "H:i";		// Format to display time in (24 hour format)

	$config["dateformat"]["0"]["short"]="m/d/y";		// Format to display dates in (US)
	$config["dateformat"]["0"]["long"]="l, F j Y";		// Format to display long dates in (US)
	$config["dateformat"]["1"]["short"]="d.m.y";		// Europe
	$config["dateformat"]["1"]["long"]="l, j. F Y";		// Europe
	
	$config["firstdayweek"]         = 0;                // 1st day in week, 0=sunday, 1=monday

	$config["allow_html_input"]		= 0;                // allow html tags in description text, 0 is recommended
	$config["show_html_in_lists"]	= 1;                // show html list description text, 
														// requ. allow_html_input=1

								// IMAP Mail Server Settings
	$config["imap_server"]		= "localhost";		// IMAP Server Host (defaults to localhost)
	$config["imap_port"]		= "143/notls";		// IMAP Server Port (defaults to 143)
	$config["imap_path"]		= "Mail/";		// IMAP Mail Path (defaults to home dir)
								// Set to "INBOX." for Cyrus and Courier IMAP servers.
	$config["imap_uses_mbox"]   = FALSE; 
	$config["UWIMAPmdir"]       = FALSE;	// set TRUE, if you use UW-IMAP with maildir patch (e.g. on March SME Server)
											// to have subfolder support
	$config["fix_imap_maildir_date_bug"]   = FALSE; 		// UW-IMAP with maildir patch returns the unix timestamp as mail delivery date. The timestamp will be modified, when mail is moved or copied. This workaround uses the headerfield "Delivery-date:" if present. Otherwise the headerfield "Date:" is used. 
	$config["mail_folder_delimiter"]= "/";			// Character that divides heirarchical levels of folder names ("/" for UofW IMAP, "." for Cyrus and Courier)
	// Mailtree options: 
	//	no = do not offer mailtree at all. Recommended on very slow servers
	//	standard = mailtree w/o new mail scan. Recommended on medium speed servers
	//	newmail = mailtree with scan for new mails. Requires fast server
		
	$config["mailtree"]= "newmail";			// show mailtree: (no|standard|newmail)

 	$config["mail_sender"]		= "relay";		// How to we deal with outgoing mail? (internal/relay/imap-mail)
	$config["smtp_server"]		= "localhost";		// SMTP Relay server to send mail through
	$config["smtp_port"]		= "25";			// SMTP Relay server port to send mail through
	$config["smtp_clientip"]	= 0;			// Add "X-Client-IP: <ip address of web browser>" to SMTP headers.  (0|1)

//	$vhosts["<server_name>"]	= "config/<server_name>"; // Setup support for virtual hosts

								// Non-overridable feature disables
	$disabled["mail_showattach"] 	= 0;			// Disable extra message info in mailbox view (off for performance boost)
	$disabled["mail_configfrom"]	= 1;			// Disable the user's ability to change their from address

	$config["debug"]		= 0;			// Set to 10 view debugging output in some parts of twiggi
	$config["tdbg"]		= 0;			// Set to TRUE for exexution time debugging
								// Set to 20 to view more detailed info, but may conflict with cookie setting, 
								//     if you need this level you should set the login handler to sesssion
								// Set to 30 to see lots of extra information that is typiclly useless :)
	$config["upload_limit_in_meg"]		= 1000;			// A limit to prevent malicious user to fill up the file system

	$config["companycontactsgroup"]=""; // name of the group to which the contacts entries of all employees will be attached to. If an empty name is given ("") this group will be available
	$config["companycontactuser"]=""; // unix login name of the person, who can modify the  automatically generated contacts entries
	$config["mailthreading"]	= 1; // set to 0 to disable message threading on slow servers
	$config["cachethreshold"]	= 0; 	// for mailboxes with a message count above this number, 
										// the mail folder listing is cached in a file
										// set to 0 to disable caching entirely
	$config["cachexpiry"]	= 1800; 	// How long cache records and files are retained (in seconds)
	$config["SSL"]="external"; 			// Force a SSL connection: never, external or always
	$config["file_cmd"]     = "/usr/bin/file -bz";  // the file command, including full path and flags


/* NEWMAIL-POPUP-BEGIN */
	$config["returntomain"][0]	= 0; // never
	$config["returntomain"][1]	= 20; // minutes!
	$config["returntomain"][2]	= 40;
	$config["returntomain"][3]	= 60;
	$config["refreshmain"][0]	= 0; // never
	$config["refreshmain"][1]	= 10; // minutes!
	$config["refreshmain"][2]	= 20;
	$config["refreshmain"][3]	= 30;
/* NEWMAIL-POPUP-END */

/* NEWMAIL-POPUP-BEGIN */
$disabled["javascript"]		= 0;
$disabled["pagerefresh"]	= 1; // 1=disabled for access from outside the local net, 2=disabled entirely
/* NEWMAIL-POPUP-END */

$disabled["global_autoaccounts"]=0;
$disabled["global_newmailcheck"]=0;
$disabled["global_prefs"]=0;
$disabled["global_password_prefs"]=0;
$disabled["main"]=0;
$disabled["mail"]=0;
$disabled["contacts"]=0;
$disabled["schedule"]=0;
$disabled["todo"]=0;
$disabled["bookmarks"]=0;
$disabled["groups"]=0;
$disabled["help"]=0;
$disabled["notes"]=0;
$disabled["main_prefs"]=0;
$disabled["main_recentmail"]=0;
$disabled["main_schedule"]=0;
$disabled["mail_compose"]=0;
$disabled["mail_delete"]=0;
$disabled["mail_expunge"]=0;
$disabled["mail_folders"]=0;
$disabled["mail_foldover"]=0;
$disabled["mail_msgview"]=0;
$disabled["mail_prefs"]=0;
$disabled["mail_refresh"]=0;
$disabled["mail_secondcmdline"]=0;
$disabled["mail_transfer"]=0;
$disabled["mail_transfer_to"]=0;
$disabled["mail_treeview"]=0;
$disabled["mail_readreceipts"]=0;
$disabled["mail_configfrom"]=0;
$disabled["contacts_import"]=0;
$disabled["contacts_edit"]=0;
$disabled["contacts_prefs"]=0;
$disabled["contacts_lists"]=0;
$disabled["schedule_day"]=0;
$disabled["schedule_edit"]=0;
$disabled["schedule_prefs"]=0;
$disabled["schedule_week"]=0;
$disabled["schedule_list"]=0;
$disabled["schedule_cal"]=0;
$disabled["schedule_maint"]=0;
$disabled["schedule_year"]=0;
$disabled["todo_edit"]=0;
$disabled["todo_prefs"]=0;
$disabled["bookmarks_edit"]=0;
$disabled["bookmarks_prefs"]=0;
$disabled["groups_edit"]=0;
$disabled["notes_edit"]=0;
$disabled["notes_prefs"]=0;
$disabled["database"]=0;

// Font Family Configuration 
$i=0;
$config["fontfamily"][$i++]		= "Verdana, Arial, Helvetica, sans-serif";
$config["fontfamily"][$i++]		= "Arial, Helvetica, sans-serif";
$config["fontfamily"][$i++]		= "Arial Narrow, Helvetica, sans-serif";
$config["fontfamily"][$i++]		= "Times New Roman, Times, serif";

// Font Size Configuration
$i=0;
$config["fontsize"][$i]["name"]			= "smaller";	// Font size name
$config["fontsize"][$i]["textfontsize"]		= "-2";			// Font size
$config["fontsize"][$i]["titlefontsize"]	= "-1";			// Title font size
$config["fontsize"][$i]["largetitlefontsize"] 	= "+0";			// Large title font size
$config["fontsize"][$i]["smallfontsize"]	= "-2";			// Small text font size
$config["fontsize"][$i]["tinyfontsize"]		= "-3";			// Really small text font size
$config["fontsize"][$i]["ttfontsize"]		= "-1";
$config["fontsize"][$i]["ntimgsize"]		= 22;
$config["fontsize"][$i]["inputtextfontsize"]= "10px";
$config["fontsize"][$i]["areatextfontsize"]	= "11px";
$config["fontsize"][$i]["selectfontsize"]	= "9px";
$config["fontsize"][$i]["buttonfontsize"]	= "9px";
$i++;
$config["fontsize"][$i]["name"] 		= "small";
$config["fontsize"][$i]["textfontsize"]		= "-1";
$config["fontsize"][$i]["titlefontsize"]	= "+0";
$config["fontsize"][$i]["largetitlefontsize"] 	= "+1";
$config["fontsize"][$i]["smallfontsize"] 	= "-1";
$config["fontsize"][$i]["tinyfontsize"] 	= "-2";
$config["fontsize"][$i]["ttfontsize"]		= "+0";
$config["fontsize"][$i]["ntimgsize"]		= 26;
$config["fontsize"][$i]["inputtextfontsize"]= "11px";
$config["fontsize"][$i]["areatextfontsize"]	= "12px";
$config["fontsize"][$i]["selectfontsize"]	= "11px";
$config["fontsize"][$i]["buttonfontsize"]	= "10px";
$i++;
$config["fontsize"][$i]["name"] 		= "medium";
$config["fontsize"][$i]["textfontsize"] 	= "+0";
$config["fontsize"][$i]["titlefontsize"]	= "+1";
$config["fontsize"][$i]["largetitlefontsize"] 	= "+2";
$config["fontsize"][$i]["smallfontsize"] 	= "+0";
$config["fontsize"][$i]["tinyfontsize"] 	= "-1";
$config["fontsize"][$i]["ttfontsize"]		= "+1";
$config["fontsize"][$i]["ntimgsize"]		= 30;
$config["fontsize"][$i]["inputtextfontsize"]= "12px";
$config["fontsize"][$i]["areatextfontsize"]	= "14px";
$config["fontsize"][$i]["selectfontsize"]	= "12px";
$config["fontsize"][$i]["buttonfontsize"]	= "11px";
$i++;
$config["fontsize"][$i]["name"] 		= "large";
$config["fontsize"][$i]["textfontsize"] 	= "+1";
$config["fontsize"][$i]["titlefontsize"]	= "+2";
$config["fontsize"][$i]["largetitlefontsize"] 	= "+3";
$config["fontsize"][$i]["smallfontsize"] 	= "+1";
$config["fontsize"][$i]["tinyfontsize"] 	= "+0";
$config["fontsize"][$i]["ttfontsize"]		= "+2";
$config["fontsize"][$i]["ntimgsize"]		= 34;
$config["fontsize"][$i]["areatextfontsize"]	= "16px";
$config["fontsize"][$i]["inputtextfontsize"]= "16px";
$config["fontsize"][$i]["selectfontsize"]	= "16px";
$config["fontsize"][$i]["buttonfontsize"]	= "16px";
$i++;
$config["fontsize"][$i]["name"] 		= "larger";
$config["fontsize"][$i]["textfontsize"] 	= "+2";
$config["fontsize"][$i]["titlefontsize"]	= "+3";
$config["fontsize"][$i]["largetitlefontsize"] 	= "+4";
$config["fontsize"][$i]["smallfontsize"] 	= "+2";
$config["fontsize"][$i]["tinyfontsize"] 	= "+1";
$config["fontsize"][$i]["ttfontsize"]		= "+3";
$config["fontsize"][$i]["ntimgsize"]		= 39;
$config["fontsize"][$i]["areatextfontsize"]	= "18px";
$config["fontsize"][$i]["inputtextfontsize"]= "18px";
$config["fontsize"][$i]["selectfontsize"]	= "18px";
$config["fontsize"][$i]["buttonfontsize"]	= "18px";


// Color Configuration
$i=0;
$config["color"][$i]["scheme"]="Edunix Mail (default)";
$config["color"][$i]["text"]="#000000";
$config["color"][$i]["link"]="#000066";
$config["color"][$i]["vlink"]="#000066";
$config["color"][$i]["alink"]="#EE0000";
$config["color"][$i]["hoover"]="#EE0000";
$config["color"][$i]["bgcolor"]="#FFFFFF";
$config["color"][$i]["celltext"]="#000000"; 		// Text color inside table cells
$config["color"][$i]["formstext"]="#000000"; 		// Text color of view and edit forms
$config["color"][$i]["cellcolor"]="#d0f0b0"; 		// Background color of certain table cells
$config["color"][$i]["formscolor"]="#b0d090"; 		// Background color of view and edit forms 
$config["color"][$i]["cellheadcolor"]="#609060";	// Background color of header cells
$config["color"][$i]["cellheadcolorlight"]="#80b080"; 	// 2nd Background color of header cells
$config["color"][$i]["cellheadtext"]="#ffffff"; 	// Text color inside those cells
$config["color"][$i]["cellheadtextlight"]="#000000";    // Text color for background cellheadcolorlight
$config["color"][$i]["cellcoloralt"]="#ffffff"; 	// Alternate background color of list cells
$config["color"][$i]["cellcolorhigh"]="#90d090"; 	// Hilight backgroud color of cells
$config["color"][$i]["tabcolordark"]="#c6c6c6"; 	// The light (main body) color of tabs
$config["color"][$i]["tabcolorlight"]="#d6d6d6";	// The light (highlight) color of tabs
$config["color"][$i]["button"]="#e0f0d0"; 		// Submit button backgroundcolor
$config["color"][$i]["buttontext"]="#000000"; 		// Submit button textcolor
$config["color"][$i]["buttonborder"]="#FFFFFF"; 	// Submit button border color
$config["color"][$i]["inputbackground"]="#FFFFFF";	// Input field backgroundcolor
$config["color"][$i]["inputtext"]="#000000"; 		// Input field textcolor
$config["color"][$i]["satcol"]="#ffffd0";		// Background color of Saturday
$config["color"][$i]["suncol"]="#ffffa0";		// Background color of Sunday
$i++;

$config["color"][$i]["scheme"]="business";
$config["color"][$i]["text"]="#000000";
$config["color"][$i]["link"]="#000F43";
$config["color"][$i]["vlink"]="#000F43";
$config["color"][$i]["alink"]="#FF6666"; //
$config["color"][$i]["hoover"]="#FF6666"; //
$config["color"][$i]["bgcolor"]="#FFFFFF";
$config["color"][$i]["cellheadtext"]="#FFFFFF"; //
$config["color"][$i]["cellheadtextlight"]="#000000";
$config["color"][$i]["celltext"]="#000000";
$config["color"][$i]["formstext"]="#000000";
$config["color"][$i]["cellheadcolor"]="#006482"; //
$config["color"][$i]["cellheadcolorlight"]="#8CBCCB"; //
$config["color"][$i]["cellcolor"]="#E5EFF2"; //
$config["color"][$i]["formscolor"]="#E1E3E3"; //
$config["color"][$i]["cellcoloralt"]="#F3F3F3";
$config["color"][$i]["cellcolorhigh"]="#FAEDD1";
$config["color"][$i]["tabcolordark"]="#CAD0D0";
$config["color"][$i]["tabcolorlight"]="#dAe0e0"; //  
$config["color"][$i]["tabtext"]="#000000";
$config["color"][$i]["button"]="#FAFAFA";
$config["color"][$i]["buttontext"]="#000000";
$config["color"][$i]["buttonborder"]="#E8F3F7";
$config["color"][$i]["inputbackground"]="#FAFAFA";
$config["color"][$i]["inputtext"]="#000000";
$config["color"][$i]["satcol"]="#F8F0FF";
$config["color"][$i]["suncol"]="#F8E0FF";

$i++;
$config["color"][$i]=$config["color"][$i-1];
$config["color"][$i]["scheme"]="business II";
$config["color"][$i]["bgcolor"]="#EEEEEE";


$i++;
$config["color"][$i]["scheme"]="blue twilight";
$config["color"][$i]["text"]="#000000";
$config["color"][$i]["link"]="#000066";
$config["color"][$i]["vlink"]="#000066";
$config["color"][$i]["alink"]="#EE0000";
$config["color"][$i]["hoover"]="#EE0000";
$config["color"][$i]["bgcolor"]="#FFFFFF";
$config["color"][$i]["cellheadtext"]="#FFE75B";
$config["color"][$i]["cellheadtextlight"]="#000000";
$config["color"][$i]["celltext"]="#000000";
$config["color"][$i]["formstext"]="#000000";
$config["color"][$i]["cellheadcolor"]="#186FA3";
$config["color"][$i]["cellheadcolorlight"]="#B8CEDC";
$config["color"][$i]["cellcolor"]="#E8F3F7";
$config["color"][$i]["formscolor"]="#D8E3E7";
$config["color"][$i]["cellcoloralt"]="#FAFAFA";
$config["color"][$i]["cellcolorhigh"]="#FDEDC8";
$config["color"][$i]["tabcolordark"]="#B8CEDC";
$config["color"][$i]["tabcolorlight"]="#c8dEeC";             
$config["color"][$i]["tabtext"]="#000000";
$config["color"][$i]["button"]="#FAFAFA";
$config["color"][$i]["buttontext"]="#186FA3";
$config["color"][$i]["buttonborder"]="#E8F3F7";
$config["color"][$i]["inputbackground"]="#FAFAFA";
$config["color"][$i]["inputtext"]="#186FA3";
$config["color"][$i]["satcol"]="#F8F0EF";
$config["color"][$i]["suncol"]="#F8E0DF";

$i++;
$config["color"][$i]=$config["color"][$i-1];
$config["color"][$i]["scheme"]="blue twilight II";
$config["color"][$i]["bgcolor"]="#F0F0F0";
$config["color"][$i]["button"]="#FFFFFF";
$config["color"][$i]["inputbackground"]="#FFFFFF";

$i++;
$config["color"][$i]["scheme"]="springtime";
$config["color"][$i]["text"]="#8C3C00";
$config["color"][$i]["link"]="#004400";
$config["color"][$i]["vlink"]="#004400";
$config["color"][$i]["alink"]="#FF0000";
$config["color"][$i]["hoover"]="#FF0000";
$config["color"][$i]["bgcolor"]="#FFFFFF";
$config["color"][$i]["cellheadtext"]="#FFFFFF";
$config["color"][$i]["cellheadtextlight"]="#555555";
$config["color"][$i]["celltext"]="#000000";
$config["color"][$i]["formstext"]="#116611";
$config["color"][$i]["cellheadcolor"]="#009900";
$config["color"][$i]["cellheadcolorlight"]="#B0F086";
$config["color"][$i]["cellcolor"]="#E8FFE8";
$config["color"][$i]["formscolor"]="#F8FED0";
$config["color"][$i]["cellcoloralt"]="#F8FFF8";
$config["color"][$i]["cellcolorhigh"]="#F0FEB8";
$config["color"][$i]["tabcolordark"]="#99DD99";
$config["color"][$i]["tabcolorlight"]="#a9eDa9";
$config["color"][$i]["tabtext"]="#8C3C00";
$config["color"][$i]["button"]="#F8FFF8";
$config["color"][$i]["buttontext"]="#8C3C00";
$config["color"][$i]["buttonborder"]="#E8FFE8";
$config["color"][$i]["inputbackground"]="#F8FFF8";
$config["color"][$i]["inputtext"]="#8C3C00";
$config["color"][$i]["satcol"]="#F8F0EF";
$config["color"][$i]["suncol"]="#F8E0DF";

$i++;
$config["color"][$i]=$config["color"][$i-1];
$config["color"][$i]["scheme"]="springtime II";
$config["color"][$i]["bgcolor"]="#FFFFD0";

$i++;
$config["color"][$i]["scheme"]="indian summer";
$config["color"][$i]["text"]="#6C1C00";
$config["color"][$i]["link"]="#003300";
$config["color"][$i]["vlink"]="#003300";
$config["color"][$i]["alink"]="#FF0000";
$config["color"][$i]["hoover"]="#FF0000";
$config["color"][$i]["bgcolor"]="#FFFFFF";
$config["color"][$i]["cellheadtext"]="#FFE75B";
$config["color"][$i]["cellheadtextlight"]="#FFE75B";
$config["color"][$i]["celltext"]="#000000";
$config["color"][$i]["formstext"]="#416611";
$config["color"][$i]["cellheadcolor"]="#CC0033";
$config["color"][$i]["cellheadcolorlight"]="#9D582F";
$config["color"][$i]["cellcolor"]="#FFC8C0";
$config["color"][$i]["formscolor"]="#F8FED0";
$config["color"][$i]["cellcoloralt"]="#F9EADB";
$config["color"][$i]["cellcolorhigh"]="#FDECC4";
$config["color"][$i]["tabcolordark"]="#EDA998";
$config["color"][$i]["tabcolorlight"]="#FDB9A8";
$config["color"][$i]["tabtext"]="#6C1C00";
$config["color"][$i]["button"]="#F9EADB";
$config["color"][$i]["buttontext"]="#8C3C00";
$config["color"][$i]["buttonborder"]="#F0B7AE";
$config["color"][$i]["inputbackground"]="#F9EADB";
$config["color"][$i]["inputtext"]="#8C3C00";
$config["color"][$i]["satcol"]="#FFD8B0";
$config["color"][$i]["suncol"]="#FFE8B0";

$i++;
$config["color"][$i]=$config["color"][$i-1];
$config["color"][$i]["scheme"]="indian summer II";
$config["color"][$i]["bgcolor"]="#FFEAD1";

unset($i);
?>
