<?php
 	/*
     	Name: php4session.session.php
     	Type: PHP4 Session handler for TWIG
     	Desc: Stores sessions as php4-sessions
     	Originally by: Xavier Roche/Serianet, Oct/2000
     	TODO: Ensure that old sessions are removed (normally done by PHP4)

  	KNOWN PROBLEMS: There seems to be strange session problems (session disconnection) when 
     	using session_set_cookie_params, or other time/path related session functions
     	These problems might be related to some PHP4 old versions (to check)
     	If these problems occurs, define $use_session_settings to false
 	*/

 	/* Use session timeout/path */
 	$use_session_settings = true;	
    
 	if( !session_name() )
		{
		/* Start the session */
		if( $use_session_settings )
			{
		    	session_set_cookie_params( $config["session_expiry"], $config["basedir"], $config["fromdomain"] );
			}

		session_start();
		}

 	if( !isset( $HTTP_SESSION_VARS["session_context"] ) ) { $HTTP_SESSION_VARS["session_context"] = array(); }
 	if( !isset( $HTTP_SESSION_VARS["session_session"] ) ) { $HTTP_SESSION_VARS["session_session"] = array(); }

 	/* Register context/session variables */
 	session_register( "session_context" );
 	session_register( "session_session" );

 	/* default sessionid and session cache */
 	$sessionid = 1;
 	$sessioncache = array();

 	Function TWIGGetContext() 
		{
		GLOBAL $ctx, $dbconfig, $config,$HTTP_SESSION_VARS;
	
		if( !$ctx ) { return array( "feature"=>"main", "action"=>"main" ); }

		$cids = $ctx;

    		$context = $HTTP_SESSION_VARS["session_context"][$cids];
		
	    	if( isset( $context ) )
			{
			//  -xxc- todo : remove old sessions? -xxc-
			return $context;
			}
		else
			{
			TWIGPrintError( "Unable to find context data, please click <a href=\"" . $config["baseurl"] . "\">here</a> to restart twig and try again." );
			exit;
			}
	 	}

	Function TWIGContext( $type = "get", $feature = "", $action = "", $other = "" )
		{
		global $context, $login, $sessionts, $sessionid, $sessioncache, $dbconfig, $session_context, $HTTP_SESSION_VARS;

		$tcontext = $context;

		if( $feature ) { $tcontext["feature"] = $feature; }
		if( $action ) { $tcontext["action"] = $action; }

		if( $other )
			{
			$j = count( $other );

			for( $i = 0; $i < $j; $i++ )
				{
				$tcontext[$other[$i]["item"]] = $other[$i]["value"];
				}
			}

		if( serialize($tcontext) == serialize($sessioncache["context"]) )
			{
			$sid = $sessioncache["contextid"];
			}
		else
			{
			$sid = $sessionid;
			$sessionid++;

      			$HTTP_SESSION_VARS["session_context"][$sid]=$tcontext;
				$session_context[$sid]=$tcontext;
      
			$sessioncache["context"] = $tcontext;
			$sessioncache["contextid"] = $sid;
			}

		if( $type == "get" ) { $str .= "&ctx=" .$sid; }
		else { $str .= "<input type=hidden name=ctx value=\"" . $sid . "\">\n"; }

		return $str;
 		}

	Function TWIGSession( $type = "get", $other = "" ) 
		{
		global $session, $login, $sessionts, $sessionid, $sessioncache, $dbconfig, $session_session, $HTTP_SESSION_VARS;

		if( $login["username"] )
			{
			$tsession = $session;

			if( $other )
				{
				$j = count( $other );

				for( $i = 0; $i < $j; $i++ )
					{
					$tsession[$other[$i]["item"]] = $other[$i]["value"];
					}
				}
			
			if( serialize($tsession) == serialize($sessioncache["session"]) )
				{
				$sid = $sessioncache["sessionid"];
				}
			else
				{
				$sid = $sessionid;
				$sessionid++;
       
				$HTTP_SESSION_VARS["session_session"][$sid]=$tsession;
				$session_session[$sid] = $tsession; 
				$sessioncache["session"] = $tsession;
				$sessioncache["sessionid"] = $sid;
				}
	
		 	if( $type == "get" ) { $str .= "&ses=" . $sid ; }
			else { $str .= "<input type=hidden name=ses value=\"" . $sid . "\">\n"; }
			}

		return $str;
		}

	Function TWIGGetSession() 
		{
		GLOBAL $ses, $dbconfig, $config,$HTTP_SESSION_VARS;

		if( !$ses ) { return array( "feature"=>"main", "action"=>"main" ); }
	
		$sids = $ses;

		$session = $HTTP_SESSION_VARS["session_session"][$sids];

    		if( isset( $session ) )
			{
	      		// --xxc-- todo : delete old sessions --xxc-- 

			return $session;
			}
		else
			{
			TWIGPrintError( "Unable to find session data, please click <a href=\"" . $config["baseurl"] . "\">here</a> to restart twig and try again." );

			exit;
			}
		}

	Function TWIGCleanSession()
		{
		GLOBAL $ses, $dbconfig, $config,$HTTP_SESSION_VARS;

		if( !$ses ) { return; }

		$sids = $ses;
    		$HTTP_SESSION_VARS["session_session"][$sids]="";
		}

	Function TWIGCleanContext()
		{
		GLOBAL $ctx, $dbconfig, $config,$HTTP_SESSION_VARS;

		if( !$ctx ) { return; }

		$cids = $ctx;
        
    		$HTTP_SESSION_VARS["session_context"][$cids]="";
		}
?>
