CREATE SEQUENCE twaccid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twaccid');


CREATE TABLE "twig_accounts" (
	"id" integer DEFAULT nextval('twaccid') NOT NULL,
	"username" character varying NOT NULL,
	"password" character varying,
	"SID" integer,
	"onnow" bigint,
	"expire" bigint,
	"laston" bigint,
	Constraint "twig_accounts_pkey" Primary Key ("id")
);
CREATE INDEX twig_accounts_username_index ON twig_accounts (username);

CREATE SEQUENCE twccessid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twccessid');

CREATE TABLE "twig_access" (
	"id" integer DEFAULT nextval('twccessid') NOT NULL,
	"username" character varying(128) DEFAULT '' NOT NULL,
	"twiggi" integer DEFAULT '0' NOT NULL,
	"mail" integer DEFAULT '0' NOT NULL,
	"contacts" integer DEFAULT '0' NOT NULL,
	"schedule" integer DEFAULT '0' NOT NULL,
	"files" integer DEFAULT '0' NOT NULL,
	"todo" integer DEFAULT '0' NOT NULL,
	"notes" integer DEFAULT '0' NOT NULL,
	"bookmarks" integer DEFAULT '0' NOT NULL,
	"groups" integer DEFAULT '0' NOT NULL,
	"prefs" integer DEFAULT '0' NOT NULL,
	Constraint "twig_access_pkey" Primary Key ("id")
);
CREATE INDEX twig_access_username_index ON twig_access (username);

CREATE SEQUENCE twanid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twanid');
CREATE TABLE "twig_announce" (
	"id" integer DEFAULT nextval('twanid') NOT NULL,
	"thedate" timestamp with time zone,
	"username" character varying NOT NULL,
	"email" character varying,
	"subject" character varying NOT NULL,
	"announce" text NOT NULL,
	Constraint "twig_announce_pkey" Primary Key ("id")
);


CREATE SEQUENCE twbmid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twbmid');
CREATE TABLE "twig_bookmarks" (
	"id" integer DEFAULT nextval('twbmid') NOT NULL,
	"username" character varying DEFAULT ' ' NOT NULL,
	"cuser" character varying DEFAULT ' ' NOT NULL,
	"permtype" integer DEFAULT '0',
	"permid" integer,
	"thedate" timestamp with time zone,
	"cdate" timestamp with time zone NOT NULL,
	"groupid" integer DEFAULT '0' NOT NULL,
	"item" text,
	"description" text,
	"format" integer DEFAULT '0',
	"url" text,
	Constraint "twig_bookmarks_pkey" Primary Key ("id")
);
CREATE INDEX twig_bookmarks_id_index ON twig_bookmarks (id);
CREATE INDEX twig_bookmarks_username_index ON twig_bookmarks (username);
CREATE INDEX twig_bookmarks_groupid_index ON twig_bookmarks (groupid);


CREATE TABLE "twig_bookmarks_prefs" (
	"id" integer NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"sortby" character varying(10) DEFAULT ' ' NOT NULL,
	"sortorder" integer DEFAULT '0' NOT NULL,
	"dgroup" integer DEFAULT '0' NOT NULL,
	"pagesize" integer DEFAULT '0' NOT NULL,
	"viewgrp" integer DEFAULT '0' NOT NULL,
	"descrwords" integer DEFAULT '0' NOT NULL,
	"dformat" integer DEFAULT '0',
	"dperms" integer DEFAULT '0',
	"tooltips" integer DEFAULT '1',
	"fullurl" integer DEFAULT '1',
	Constraint "twig_bookmarks_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_bookmarks_prefs_username_index ON twig_bookmarks_prefs (username);

CREATE SEQUENCE twconid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twconid');
CREATE TABLE "twig_contacts" (
	"id" integer DEFAULT nextval('twconid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"cuser" character varying(128) DEFAULT ' ' NOT NULL,
	"permtype" integer DEFAULT '0',
	"permid" integer,
	"thedate" timestamp with time zone,
	"cdate" timestamp with time zone,
	"groupid" integer DEFAULT '0' NOT NULL,
	"item" text,
	"description" text,
	"format" integer DEFAULT '0',
	"url" text,
	"firstname" character varying(100),
	"lastname" character varying(100),
	"email" character varying(100),
	"company" character varying(100),
	"home_phone" character varying(30),
	"work_phone" character varying(30),
	"mobile" character varying(30),
	"fax" character varying(30),
	"address1" character varying(200),
	"address2" character varying(200),
	"city" character varying(100),
	"state" character varying(100),
	"zipcode" character varying(10),
	"country" character varying(100),
	"email2" character varying(100),
	"email3" character varying(100),
	"title" character varying(100),
	"pager" character varying(30),
	"ofax" character varying(30),
	"department" character varying(100),
	"office" character varying(100),
	"spouse" character varying(100),
	"bday" character varying(40),
	"oaddress1" character varying(100),
	"oaddress2" character varying(100),
	"ocity" character varying(100),
	"ozip" character varying(10),
	"ostate" character varying(100),
	"ocountry" character varying(100),
	"type" integer,
	"userpers" integer DEFAULT '0',
	Constraint "twig_contacts_pkey" Primary Key ("id")
);
CREATE INDEX twig_contacts_username_index ON twig_contacts (username);
CREATE INDEX twig_contacts_groupid_index ON twig_contacts (groupid);


CREATE TABLE "twig_ums" (
	"username" character varying(128) DEFAULT '' NOT NULL,
	"fromaddress" character varying(128),
	"realname" text,
	"replyto" text
);
CREATE INDEX twig_ums_username_index ON twig_ums (username);

CREATE TABLE "twig_contacts_lists_entries" (
	"listid" integer DEFAULT '0' NOT NULL,
	"type" integer DEFAULT '0' NOT NULL,
	"item" integer DEFAULT '0' NOT NULL,
	"subitem" integer
);
CREATE INDEX twig_contacts_lists_entries_listid_index ON twig_contacts_lists_entries (listid);
CREATE INDEX twig_contacts_lists_entries_item_index ON twig_contacts_lists_entries (item);




CREATE SEQUENCE twcprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twcprf');
CREATE TABLE "twig_contacts_prefs" (
	"id" integer DEFAULT nextval('twcprf') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"sortby" character varying(10) DEFAULT ' ' NOT NULL,
	"sortorder" integer DEFAULT '0' NOT NULL,
	"dgroup" integer DEFAULT '0' NOT NULL,
	"pagesize" integer DEFAULT '0' NOT NULL,
	"viewgrp" character varying DEFAULT '0' NOT NULL,
	"descrwords" integer DEFAULT '0' NOT NULL,
	"dformat" integer DEFAULT '0',
	"dperms" integer DEFAULT '0',
	"tooltips" integer DEFAULT '1',
	Constraint "twig_contacts_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_contacts_prefs_username_index ON twig_contacts_prefs (username);


CREATE TABLE "twig_context" (
	"id" character varying(40) DEFAULT ' ' NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"context" text NOT NULL,
	"sid" integer DEFAULT '0' NOT NULL
);
CREATE INDEX twig_context_id_index ON twig_context (id);
CREATE INDEX twig_context_username_index ON twig_context (username);
CREATE INDEX twig_context_sid_index ON twig_context (sid);


CREATE SEQUENCE twfoldid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twfoldid');
CREATE TABLE "twig_folders" (
	"id" integer DEFAULT nextval('twfoldid'),
	"owner" character varying(128) DEFAULT ' ' NOT NULL,
	"server" character varying(255) DEFAULT ' ' NOT NULL,
	"port" integer DEFAULT '0' NOT NULL,
	"groupname" character varying(255) DEFAULT ' ' NOT NULL,
	"username" character varying(128),
	"pssword" character varying(128),
	"servertype" character varying(10)
);
CREATE INDEX twig_folders_owner_index ON twig_folders (owner);
CREATE INDEX twig_folders_groupname_index ON twig_folders (groupname);



CREATE SEQUENCE twgpid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twgpid');
CREATE TABLE "twig_global_prefs" (
	"id" integer DEFAULT nextval('twgpid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"javascript" integer DEFAULT '0',
	"mstyle1" smallint DEFAULT '0' NOT NULL,
	"mstyle2" smallint DEFAULT '3' NOT NULL,
	"language" character varying(20),
	"helplanguage" character varying(20),
	"mailfoot" smallint,
	"prevnext" character varying,
	"timeformat" integer,
	"dateformat" integer DEFAULT '0' NOT NULL,
	"extgroupview" integer DEFAULT '0' NOT NULL,
	"colorscheme" integer DEFAULT '0',
	"fontfamily" integer DEFAULT '0',
	"fontsize" integer DEFAULT '1',
	"office_hours_start" real DEFAULT '8',
	"office_hours_end" real DEFAULT '17',
	"tooltips" integer DEFAULT '1',
	"singletimeselector" integer DEFAULT '0',
	"usecss" integer DEFAULT '0',
	Constraint "twig_global_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_global_prefs_username_index ON twig_global_prefs (username);


CREATE SEQUENCE groupid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('groupid');
CREATE TABLE "twig_groups" (
	"id" integer DEFAULT nextval('groupid') NOT NULL,
	"owner" character varying(128) DEFAULT ' ' NOT NULL,
	"thedate" timestamp with time zone,
	"cdate" timestamp with time zone,
	"cuser" character varying(128) DEFAULT ' ' NOT NULL,
	"permtype" integer DEFAULT '0',
	"permid" integer,
	"groupname" character varying(100),
	"type" character varying(20),
	"description" text,
	Constraint "twig_groups_pkey" Primary Key ("id")
);
CREATE INDEX twig_groups_owner_index ON twig_groups (owner);




CREATE SEQUENCE twgrouppref start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twgrouppref');
CREATE TABLE "twig_groups_prefs" (
	"id" integer DEFAULT nextval('twgrouppref') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"dperms" integer DEFAULT '0',
	"tooltips" integer DEFAULT '1',
	Constraint "twig_groups_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_groups_prefs_username_index ON twig_groups_prefs (username);


CREATE TABLE "twig_lhsqltable" (
	"lid" character varying(40) DEFAULT '0' NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"password" character varying(128) DEFAULT ' ' NOT NULL,
	"expire" bigint DEFAULT '0' NOT NULL,
	Constraint "twig_lhsqltable_pkey" Primary Key ("lid")
);

CREATE SEQUENCE twprefsid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twprefsid');
CREATE TABLE "twig_mail_prefs" (
	"id" integer DEFAULT nextval('twprefsid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"realname" text,
	"signature" text,
	"signature2" text,
	"signature3" text,
	"defaultsig" integer DEFAULT '1',
	"signature4" text,
	"linewrap" text,
	"replyto" text,
	"pagesize" integer,
	"sortby" character varying(10),
	"sortorder" integer,
	"dande" integer,
	"savesent" integer,
	"sentfold" text,
	"draftfold" text,
	"cmdline2" integer,
	"newwindow" integer,
	"newcontact" integer,
	"mailtree" integer,
	"mtexpand" integer,
	"mtview" character varying(255),
	"mdn" integer,
	"mdn_mode" integer,
	"areply" integer,
	"aforward" integer,
	"clines" integer,
	"clines_ot" integer DEFAULT '27',
	"mande" integer,
	"dreturn" integer,
	"fromaddress" character varying(128),
	"checkbox_pos" integer,
	"strike_deleted" integer,
	"tooltips" integer DEFAULT '1',
	Constraint "twig_mail_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_mail_prefs_username_index ON twig_mail_prefs (username);


CREATE TABLE "twig_threadcache" (
	"fingerprint" character varying(128) NOT NULL,
	"nmsgs" integer NOT NULL,
	"mailbox" text,
	"username" character varying(128) NOT NULL,
	"type" character varying(128) NOT NULL,
	"cache" text,
	"thedate" timestamp with time zone
);
CREATE INDEX twig_threadcache_fingerprint_index ON twig_threadcache (fingerprint);
CREATE INDEX twig_threadcache_nmsgs_index ON twig_threadcache (nmsgs);
CREATE INDEX twig_threadcache_username_index ON twig_threadcache (username);
CREATE INDEX twig_threadcache_type_index ON twig_threadcache (type);




CREATE SEQUENCE twmaildraftsid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twmaildraftsid');
CREATE TABLE "twig_maildrafts" (
	"id" integer DEFAULT nextval('twmaildraftsid') NOT NULL,
	"username" character varying(128) default '' NOT NULL,
	"thedate" timestamp with time zone DEFAULT NOW(),
	"body" text,
	"att" text,
	Constraint "twig_maildrafts_pkey" Primary Key ("id")
);
CREATE INDEX twig_maildrafts_username_index ON twig_maildrafts (username);

CREATE SEQUENCE twtreeid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twtreeid');
CREATE TABLE "twig_mail_tree" (
	"id" integer DEFAULT nextval('twtreeid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"mtview" character varying(255),
	Constraint "twig_mail_tree_pkey" Primary Key ("id")
);
CREATE INDEX twig_mail_tree_username_index ON twig_mail_tree (username);


CREATE SEQUENCE twmpid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twmpid');
CREATE TABLE "twig_main_prefs" (
	"id" integer DEFAULT nextval('twmpid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"schedule" smallint DEFAULT '1' NOT NULL,
	"recentmail" smallint DEFAULT '1' NOT NULL,
	"viewgrp" character varying(10),
	"todo" smallint DEFAULT '1' NOT NULL,
	"maxmail" integer,
	"maxschedule" integer,
	"maxtodo" integer,
	"todaymail" integer,
	"tooltips" integer DEFAULT '1',
	"onlyactivetodo" integer DEFAULT '0',
	"returntomain" integer DEFAULT '0',
	"refreshmain" integer DEFAULT '0',
	"newmailpopup" integer DEFAULT '0',
	Constraint "twig_main_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_main_prefs_username_index ON twig_main_prefs (username);




CREATE SEQUENCE memberid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('memberid');
CREATE TABLE "twig_members" (
	"id" integer DEFAULT nextval('memberid') NOT NULL,
	"groupid" integer DEFAULT '0' NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"writeperms" integer,
	Constraint "twig_members_pkey" Primary Key ("id")
);
CREATE INDEX twig_members_groupid_index ON twig_members (groupid);


CREATE SEQUENCE twnoteid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twnoteid');
CREATE TABLE "twig_notes" (
	"id" integer DEFAULT nextval('twnoteid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"cuser" character varying(128) DEFAULT ' ' NOT NULL,
	"permtype" integer DEFAULT '0',
	"permid" integer,
	"thedate" timestamp with time zone,
	"cdate" timestamp with time zone NOT NULL,
	"groupid" integer DEFAULT '0' NOT NULL,
	"item" text,
	"description" text,
	"format" integer DEFAULT '0',
	"attachname" text,
	"attachment" text,
	Constraint "twig_notes_pkey" Primary Key ("id")
);
CREATE INDEX twig_notes_username_index ON twig_notes (username);



CREATE SEQUENCE twnotepid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twnotepid');
CREATE TABLE "twig_notes_prefs" (
	"id" integer DEFAULT nextval('twnotepid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"sortby" character varying(10) DEFAULT ' ' NOT NULL,
	"sortorder" integer DEFAULT '0' NOT NULL,
	"dgroup" integer DEFAULT '0' NOT NULL,
	"width" integer,
	"height" integer,
	"pagesize" integer,
	"viewgrp" character varying DEFAULT '0' NOT NULL,
	"descrwords" integer DEFAULT '0' NOT NULL,
	"dformat" integer DEFAULT '0',
	"dperms" integer DEFAULT '0',
	"tooltips" integer DEFAULT '1',
	Constraint "twig_notes_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_notes_prefs_username_index ON twig_notes_prefs (username);

CREATE SEQUENCE twschedid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twschedid');
CREATE TABLE "twig_schedule" (
	"id" integer DEFAULT nextval('twschedid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"cuser" character varying(128) DEFAULT ' ' NOT NULL,
	"permtype" integer DEFAULT '0',
	"permid" integer,
	"thedate" timestamp with time zone,
	"cdate" timestamp with time zone DEFAULT now() NOT NULL,
	"groupid" integer DEFAULT '0' NOT NULL,
	"itemstart" timestamp with time zone NOT NULL,
	"itemstop" timestamp with time zone NOT NULL,
	"item" text,
	"description" text,
	"format" integer DEFAULT '0',
	"notime" integer,
	"recurtype" integer,
	"recurid" integer,
	"emailinfo" text,
 	"emaileinladung" text,
 	"date_remember" text,
 	"absender" text,
	Constraint "twig_schedule_pkey" Primary Key ("id")
);
CREATE INDEX twig_schedule_username_index ON twig_schedule (username);
CREATE INDEX twig_schedule_thedate_index ON twig_schedule (thedate);
CREATE INDEX twig_schedule_groupid_index ON twig_schedule (groupid);
CREATE INDEX twig_schedule_start_index ON twig_schedule (itemstart);
CREATE INDEX twig_schedule_finish_index ON twig_schedule (itemstop);



CREATE SEQUENCE twsprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twsprf');
CREATE TABLE "twig_schedule_prefs" (
	"id" integer DEFAULT nextval('twsprf') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"dgroup" integer DEFAULT '0' NOT NULL,
	"viewgrp" character varying(10) DEFAULT '0' NOT NULL,
	"descrwords" integer DEFAULT '9999',
	"dformat" integer DEFAULT '0',
	"dperms" integer DEFAULT '0',
	"grid" integer,
	"tooltips" integer DEFAULT '1',
	"extended_monthly_view" integer,
	"pagesize" integer DEFAULT '15',
	Constraint "twig_schedule_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_schedule_prefs_username_index ON twig_schedule_prefs (username);


CREATE SEQUENCE twsrecid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twsrecid');
CREATE TABLE "twig_schedule_recurring" (
	"id" integer DEFAULT nextval('twsrecid') NOT NULL,
	"schid" integer DEFAULT '0' NOT NULL,
	"recurtype" integer DEFAULT '0' NOT NULL,
	"schedule" integer,
	"cycle" integer,
	"position" integer,
	"days" character varying(13),
	"endtype" integer DEFAULT '0' NOT NULL,
	"first" timestamp with time zone,
	"last" timestamp with time zone,
	"end" timestamp with time zone,
	"occure" integer DEFAULT '1',
	Constraint "twig_schedule_recurring_pkey" Primary Key ("id")
);
CREATE INDEX twig_schedule_recurring_schid_index ON twig_schedule_recurring (schid);
CREATE INDEX twig_schedule_recurring_recurtype_index ON twig_schedule_recurring (recurtype);
CREATE INDEX twig_schedule_recurring_endtype_index ON twig_schedule_recurring (endtype);
CREATE INDEX twig_schedule_recurring_end_index ON twig_schedule_recurring ("end");



CREATE TABLE "twig_sclhsqltable" (
	"LID" character varying(40) DEFAULT '0' NOT NULL,
	"pwdata" character varying(128) DEFAULT '0' NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"expire" bigint DEFAULT '0' NOT NULL
);


CREATE TABLE "twig_session" (
	"id" character varying(40) DEFAULT ' ' NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"sdata" text NOT NULL,
	"sid" integer DEFAULT '0' NOT NULL
);
CREATE INDEX twig_session_id_index ON twig_session (id);
CREATE INDEX twig_session_username_index ON twig_session (username);
CREATE INDEX twig_session_sid_index ON twig_session (sid);

CREATE SEQUENCE twtdid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twtdid');
CREATE TABLE "twig_todo" (
	"id" integer DEFAULT nextval('twtdid') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"cuser" character varying(128) DEFAULT ' ' NOT NULL,
	"permtype" integer DEFAULT '0',
	"permid" integer,
	"thedate" timestamp with time zone,
	"cdate" timestamp with time zone NOT NULL,
	"groupid" integer DEFAULT '0' NOT NULL,
	"item" text,
	"description" text,
	"format" integer DEFAULT '0',
	"priority" integer,
	"completed" integer,
	"duedate" timestamp with time zone NOT NULL,
	"duetype" integer,
	Constraint "twig_todo_pkey" Primary Key ("id")
);
CREATE INDEX twig_todo_username_index ON twig_todo (username);




CREATE TABLE "twig_todo_lists_entries" (
	"listid" integer DEFAULT '0' NOT NULL,
	"type" integer DEFAULT '0' NOT NULL,
	"item" integer DEFAULT '0' NOT NULL,
	"subitem" integer
);
CREATE INDEX twig_todo_lists_entries_listid_index ON twig_todo_lists_entries (listid);
CREATE INDEX twig_todo_lists_entries_item_index ON twig_todo_lists_entries (item);


CREATE SEQUENCE twtprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twtprf');
CREATE TABLE "twig_todo_prefs" (
	"id" integer DEFAULT nextval('twtprf') NOT NULL,
	"username" character varying(128) DEFAULT ' ' NOT NULL,
	"sortby" character varying(10) DEFAULT ' ' NOT NULL,
	"sortorder" integer DEFAULT '0' NOT NULL,
	"dgroup" integer DEFAULT '0' NOT NULL,
	"priority" integer DEFAULT '0' NOT NULL,
	"pagesize" integer DEFAULT '0' NOT NULL,
	"viewgrp" character varying(10) DEFAULT '0' NOT NULL,
	"duetype" integer DEFAULT '0' NOT NULL,
	"descrwords" integer DEFAULT '0' NOT NULL,
	"dformat" integer DEFAULT '0',
	"dperms" integer DEFAULT '0',
	"tooltips" integer DEFAULT '1',
	Constraint "twig_todo_prefs_pkey" Primary Key ("id")
);
CREATE INDEX twig_todo_prefs_username_index ON twig_todo_prefs (username);

CREATE TABLE "twiggi" (
	"dbversion" integer,
	"password" character varying(128) DEFAULT 'twiggi'
);


INSERT INTO twiggi (dbversion) VALUES ('29');

